Package net.sf.saxon.functions

## Class ContextItemAccessorFunction.Number_0

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.ContextAccessorFunction
      - - net.sf.saxon.functions.ContextItemAccessorFunction
        - - net.sf.saxon.functions.ContextItemAccessorFunction.Number_0

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`
  Enclosing class:
    ContextItemAccessorFunction

      public static class ContextItemAccessorFunction.Number_0
      extends ContextItemAccessorFunction

  Subclass of ContextItemAccessorFunction to handle number(). This function differs by taking data(.) rather than (.) as the implicit argument.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.ContextItemAccessorFunction

      `ContextItemAccessorFunction.Number_0, ContextItemAccessorFunction.StringAccessor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Number_0()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GroundedValue` | `evaluate​(Item item, XPathContext context)` | Evaluate the function.
    `Expression` | `makeFunctionCall​(Expression[] arguments)` | Make a static call on this function, with specified arguments.

    - ### Methods inherited from class net.sf.saxon.functions.ContextItemAccessorFunction

      `bindContext, call, makeContextItemExplicit`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, getStreamerName, importAttributes, isTrustedResultType, makeCall, makeFunction, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### Number_0

          public Number_0()

  - ### Method Detail

    - #### makeFunctionCall

          public Expression makeFunctionCall​(Expression[] arguments)

      Description copied from class: `ContextItemAccessorFunction`
      Make a static call on this function, with specified arguments.
      Overrides:
        `makeFunctionCall` in class `ContextItemAccessorFunction`
      Parameters:
        `arguments` - the supplied arguments to the function call. This will always be an empty array, since this is a zero-arity function.
      Returns:
        This implementation returns a call on the equivalent arity-1 version of the function, supplying "." as an explicit argument.

    - #### evaluate

          public GroundedValue evaluate​(Item item,
                                        XPathContext context)
                                 throws XPathException

      Description copied from class: `ContextItemAccessorFunction`
      Evaluate the function. This is done by creating a function of the same name, with the context item as an explicit argument, and evaluating that.
      Overrides:
        `evaluate` in class `ContextItemAccessorFunction`
      Parameters:
        `item` - the context item
        `context` - XPath dynamic context (not normally used)
      Returns:
        the result of the function
      Throws:
        `XPathException` - in the event of a dynamic error